﻿/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('c:\sharedproject\maui\terra_wallet_md\terra_wallet_md\wwwroot\css\calorie.css');*/
html {
}

html, body {
    /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #660D71;
}

.btn-primary {
    color: #fff;
    background-color: #543d52;
    border-color: #543d52;
}

.content {
    padding-top: 1.1rem;
}

/*.valid.modified:not([type=checkbox]) {
    outline: 1px solid #543d52;
}*/

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.status-bar-safe-area {
    display: none;
}

@supports (-webkit-touch-callout: none) {
    .status-bar-safe-area {
        display: flex;
        position: sticky;
        top: 0;
        height: env(safe-area-inset-top);
        background-color: #660D71;
        width: 100%;
        z-index: 1;
    }

    .flex-column, .navbar-brand {
        padding-left: env(safe-area-inset-left);
    }
}

.wallet-container {
    padding: 0px;
    background-color: #fff;
}

.bg-wallet {
    background-color: #543d52 !important
}

.bg-wallet-text-white {
    background-color: #543d52 !important;
    color: #fff !important;
}

.text-wallet {
    color: #543d52 !important;
}

a.text-wallet:focus, a.text-primary:hover {
    color: #543d52 !important;
}

.text-wallet-title {
    color: #017d84 !important;
    border-radius: 20px 0 0 20px;
    padding: 2px 6px;
    font-weight: 800;
}

.text-wallet-center {
    text-align: center !important;
    padding: 0px;
}

.form-center {
    min-width: 90%;
    /* place-items:center;
    justify-items:center;
    place-content:center;*/
}

.example-label {
    padding: 0px;
    margin: 0px;
}

.example-content {
    margin-bottom: 10px;
}

.e-btn {
    text-transform: none;
}

.gl-small-header {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 120px;
    overflow: hidden;
}

.gl-small-content {
    position: absolute;
    top: 120px;
    bottom: 50px;
    left: 0px;
    right: 0px;
    overflow: auto;
}

.gl-small-content-nofooter {
    position: absolute;
    top: 120px;
    bottom: 35px;
    left: 0px;
    right: 0px;
    overflow: auto;
}

.gl-header {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 180px;
    overflow: hidden;
}

.gl-content-subheader {
    top: 0px;
    height: 60px;
    position: sticky;
    background-color: #fff;
    padding-top: 8px;
    z-index: 200;
}

.gl-content-subheader-cart {
    top: 0px;
    height: 90px;
    position: sticky;
    background-color: #fff;
    padding-top: 8px;
    z-index: 200;
}

.gl-footer {
    text-align: center;
    width: 100%;
    position: absolute;
    left: 0px;
    right: 0px;
    bottom: 0px;
    overflow: hidden;
    padding-top: 20px;
}


.gl-content {
    position: absolute;
    top: 180px;
    bottom: 50px;
    left: 0px;
    right: 0px;
    overflow: auto;
}


.gl-header-main {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 100px;
    overflow: hidden;
}

.gl-header-search {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    height: 60px;
    overflow: hidden;
}

.gl-content-header-search {
    position: absolute;
    top: 60px;
    bottom: 50px;
    left: 0px;
    right: 0px;
    overflow: auto;
}

.gl-subheader-search {
    position: absolute;
    top: 60px;
    left: 0px;
    right: 0px;
    height: 80px;
}

.gl-content-main-search {
    position: absolute;
    top: 140px;
    bottom: 40px;
    left: 0px;
    right: 0px;
    overflow: auto;
}


.gl-content-main {
    position: absolute;
    top: 100px;
    bottom: 40px;
    left: 0px;
    right: 0px;
    overflow: auto;
}

.gl-content-nofooter {
    position: absolute;
    top: 120px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    overflow: auto;
}

.gl-footer-main {
    text-align: center;
    width: 100%;
    position: absolute;
    left: 0px;
    right: 0px;
    bottom: 0px;
    height: 80px;
    overflow: hidden;
}

.walletimage {
    background-image: url('~/../../images/wallet_image.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-attachment: local;
    height: 400px;
}

.row {
    margin-left: 0px;
    margin-right: 0px;
}

.wallet-text-bold {
    font-weight: bold;
}

.wallet-border-right {
    border-right: 1px solid #e8ece5;
}

.wallet-border-bottom {
    border-bottom: 1px solid #e8ece5;
}

.wallet-card {
    background-color: #fff;
    border-radius: 25px;
    max-width: 300px;
    min-height: 200px;
    padding-top: 12px;
}

.wallet-card-max {
    background-color: #fff;
    border-radius: 25px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.14);
    /* min-height: 200px;*/
    padding-top: 12px;
}

.wallet-card-white {
    border: 2px solid #e8ece5;
    border-radius: 25px;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
}


.wallet-card-light {
    /*background-color:#dcd0ff;*/
    padding: 10px;
    border-radius: 25px;
    /*box-shadow:var(--rz-shadow-3);*/
}

.wallet-card-items-categ {
    /*background-color:#dcd0ff;*/
    padding: 5px;
    height: auto;
    min-height: 100px;
    border-radius: 10px;
    /*box-shadow: var(--rz-shadow-3);*/
}

.wallet-card-dashboard {
    /*background-color: #dcd0ff;*/
    border-color: #62248e;
    /*  box-shadow: none;*/
    border-width: 2px;
    padding: 5px;
    height: 150px;
    max-height: 150px;
    min-height: 150px;
    padding: 2px 2px 2px 2px;
    border-radius: 10px;
    box-shadow: none;
}

.wallet-card-dashboard-content {
    width: 100%;
    height: 100px;
    padding: 0px 4px 0px 4px;
    overflow-y: auto;
}

.wallet-card-dashboard-header {
    width: 100%;
    padding: 2px;
}

.wallet-card-items-autoh {
    /*background-color: #dcd0ff;*/
    padding: 5px;
    height: auto;
    min-height: 150px;
    border-radius: 10px;
}

.wallet-card-items-autoh-show {
    /*background-color: #dcd0ff;*/
    border-color: #62248e;
    /*  box-shadow: none;*/
    border-width: 2px;
    padding: 5px;
    height: auto;
    min-height: 150px;
    border-radius: 10px;
    box-shadow: none;
}


.wallet-card-white-border-bottom {
    border-bottom: 2px solid #e8ece5;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
}

.wallet-card-barcode-max {
    background-color: #355022;
    border-radius: 25px;
    min-width: 200px;
    min-height: 100px;
    padding-top: 12px;
}

.wallet-card-bg-white {
    border: 2px solid #fff;
    border-radius: 25px;
    background-color: #fff;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
}

.wallet-card-bg-white-narrow {
    border: 0px solid #fff;
    border-radius: 25px;
    background-color: #fff;
    padding-top: 2px;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 2px;
}

.wallet-small-label {
    font-size: 0.8rem;
}

a:link {
    text-decoration: none;
}


a:visited {
    text-decoration: none;
}


a:hover {
    text-decoration: none;
}


a:active {
    text-decoration: none;
}

.wait-center {
    position: fixed; /* or absolute */
    top: 50%;
    left: 50%;
    z-index: 99999;
}

#overlay {
    position: fixed; /* Sit on top of the page content */
    display: none; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5); /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

.wallet-validation {
    background-color: red;
    color: #fff;
    font-size: 0.8rem;
    padding: 5px;
    padding-left: 10px;
    border-radius: 25px;
}

/*.e-btn{
    font-size:16px;
}*/
.wmedium {
    font-size: 14px;
    font-weight: 400;
}

.wlarge {
    font-size: 20px;
    font-weight: 400;
}

.e-fab.e-btn {
    z-index: 10;
    position: initial;
}

.yellow-card {
    background-color: #FFBC00;
    color: #000;
}

.red-card {
    background-color: #ce0505;
    color: #fff;
}

.blue-card {
    background-color: #1558d5;
    color: #fff;
}

.darkgray-card {
    background-color: #494949;
    color: #fff;
}

.brown-color {
    background-color: brown;
    color: #fff;
}

.green-card {
    background-color: #258301;
    color: #fff;
}

.violet-card {
    background-color: blueviolet;
    color: #fff;
}

.magent-card {
    background-color: darkmagenta;
    color: #fff;
}

.menu-card {
    height: 120px;
    text-align: center;
    overflow-wrap: break-word;
    inline-size: 150px;
    vertical-align: middle;
    border-radius: 20px;
    /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.30);*/
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.3), 0 6px 20px 0 rgba(0, 0, 0, 0.24);
    transition: all 200ms ease-out;
}

    .menu-card:focus, .menu-card:hover {
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
        /*box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.30);*/
    }


.gl-line {
    border-width: 2px;
    border: 0px 0px 0px 3px rgba(92,24,141,0.8);
}

.nowide {
    padding-left: 0px;
    padding-right: 0px;
}

.fab-left {
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.fab-right {
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

.e-tab .e-tab-header .e-toolbar-item .e-tab-text {
    text-transform: none;
    color: #fff;
}

.e-tab .e-tab-header .e-toolbar-item.e-active {
    background-color: #017d84;
}
.e-tab .e-tab-header .e-toolbar-item.e-active.e-ileft .e-tab-text,
.e-tab .e-tab-header .e-toolbar-item.e-active.e-iright .e-tab-text{
    color:#fff;
}
.e-tab .e-tab-header .e-toolbar-item .e-tab-wrap:hover {
    background: #fff !important;
}
.e-tab .e-tab-header .e-scroll-nav .e-nav-arrow, 
.e-tab .e-tab-header .e-hscroll:not(.e-scroll-device) .e-scroll-nav .e-nav-arrow 
{
    color:#fff;
}
.e-tab .e-tab-header .e-scroll-nav .e-nav-arrow:hover,
.e-tab .e-tab-header .e-hscroll:not(.e-scroll-device) .e-scroll-nav .e-nav-arrow:hover 
{
    color: #fff;
}

.e-tab .e-tab-header {
    background-color: #543d52;
    z-index: 999;
    border-radius: 10px;
    top: 0;
    position: sticky;
}


.gl-inline {
    display: inline-flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
}

.login-card {
    line-height: normal;
    background-color: #fff;
    border-radius: 10px 10px;
    padding: 5px 2px 2px 2px;
}

.e-card {
    line-height: normal;
}

    .e-card .e-card-header {
        padding: 6px;
    }

    .e-card .e-card-content {
        padding: 6px;
    }

    .e-card:hover {
        background-color: none;
        border-color: none;
        box-shadow: none;
    }

    .e-card:focus {
        background-color: none;
        border-color: none;
    }

    .e-card:active {
        /*background-color: #dcd0ff;*/
        /*border-color: #543d52;*/
        background-color: none;
        border-color: none;
    }

.e-dialog {
    background-color: transparent !important;
    box-shadow: none;
}

    .e-dialog .e-dlg-header {
        width: 100%;
    }

    .e-dialog .e-dlg-header-content {
        padding: 0px 0px 0px 0px;
        background-color: #fff;
    }

    .e-dialog .e-dlg-content {
        padding: 2px;
        border-radius: 0px;
    }

.e-control .e-numeric {
    font-size: 20px;
}

.e-float-input .e-input-group {
    font-size: 14px;
}

.e-dialog .e-footer-content {
    /*    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;*/
    background-color: #fff;
}

.e-dlg-overlay {
    background-color: rgba(0,0,0,0.5);
}

.e-badge.e-badge-overlap {
    position: initial;
}

.medium-font {
    font-size: 0.8rem;
}

.large-font {
    font-size: 1.1rem;
}

.small-font {
    font-size: 0.7rem;
}

.start-page-content {
    background-color: darkorange;
    height: 100px;
    width: 100px;
}

.link-font {
    font-size: 1.0rem;
}

.e-btn.e-flat:hover,
.e-css.e-btn.e-flat:hover {
    background: rgba(0, 0, 0, 0);
    border-color: transparent;
    box-shadow: none;
    /* color: rgba(0, 0, 0, 0.87);*/
}

.e-btn.e-flat:focus,
.e-css.e-btn.e-flat:focus {
    background: rgba(0, 0, 0, 0);
    border-color: transparent;
    /*color: rgba(0, 0, 0, 0.87);*/
    box-shadow: none;
}

.e-btn.e-flat:active, .e-btn.e-flat.e-active,
.e-css.e-btn.e-flat:active,
.e-css.e-btn.e-flat.e-active {
    background: rgba(0, 0, 0, 0);
    border-color: transparent;
    /*color: rgba(0, 0, 0, 0.87);*/
    box-shadow: none;
}

.askDialog {
    background-color: rgba(92, 24, 141,0,7);
}

.rz-datatable {
    box-shadow: var(--rz-shadow-2);
    border-radius: 10px;
}

.selectionText {
    border-bottom: 1px solid #543d52;
    margin-top: 0.6rem;
    min-height: 23px;
    width: 100%;
    padding: 4px 0 4px;
}

.list-card {
    border: none;
    border-bottom: 1px dotted #543d52;
    /* background-color: #fff;*/
    margin: 0px;
    padding: 4px 0px;
}

.same-column {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

    .same-column > [class*='col-'] {
        display: flex;
        flex-direction: column;
    }

.rz-selectbutton .rz-button.rz-button.rz-state-active {
    background-color: #4f3e51;
    color: #fff;
}

.rz-state-active {
    color: #fff;
}

.hr-text {
    line-height: 1em;
    outline: 0;
    border: 0;
    /*color:     #696d79;*/
    color: #684d66;
    text-align: center;
    font-size: 0.9rem;
    font-weight: bolder !important;
    height: 1.5em;
    opacity: 1;
}

.hr-line {
    margin-top: 7px;
    color: none;
    background-color: #b8b8b8;
}


.rz-dialog-content,
.rz-dialog-side-content {
    padding: 0px 8px 10px 8px; 
    height: 100%;
    width: 100%;
}

.rz-body {
    padding: 0.5rem 0.5rem;
}


.container, .o_container_small, .container-fluid, .container-xxl, .container-xl, .container-lg, .container-md, .container-sm {
    --gutter-x: 32px;
    --gutter-y: 0;
    width: 100%;
    padding-right: calc(var(--gutter-x) * .5);
    padding-left: calc(var(--gutter-x) * .5);
    margin-right: auto;
    margin-left: auto;
}


@media (min-width: 576px) {
    .container-sm, .container, .o_container_small {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container-md, .container-sm, .container, .o_container_small {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container-lg, .container-md, .container-sm, .container, .o_container_small {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container-xl, .container-lg, .container-md, .container-sm, .container, .o_container_small {
        max-width: 1140px;
    }
}

@media (min-width: 1400px) {
    .container-xxl, .container-xl, .container-lg, .container-md, .container-sm, .container, .o_container_small {
        max-width: 1320px;
    }
}
ul[role=tablist] {
    /* flex-wrap: wrap; */
    overflow-x: auto;
}

.hbcontainer {
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow: hidden;
}

.hbbodyouter {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    flex: 1;
}

.hbhead {
    flex: none;
    overflow: hidden;
}

.hbbody {
    overflow-y: auto;
    flex: 1;
    padding-left: 2px;
    padding-right: 2px;
}
.hbdialogbody {
    overflow-y: auto;
    flex: 1;
    padding-left: 10px !important;
    padding-right: 10px !important;
    background-color: var(--rz-body-background-color);
    border-radius: 1.5rem;
}
.hbsubdialog {
    overflow-y: auto;
    flex: 1;
    padding-left: 10px !important;
    padding-right: 10px !important;
}
.rz-selectbar.rz-selectbar-horizontal {
    overflow: auto;
    white-space: nowrap;
}

.rz-selectbar {
    border-radius: 0px 0px;
    display: block;
}
.hubin-layout{
    overflow:hidden !important;
}
.rz-dialog-content {
    overflow: hidden !important;
}